# BlazorAceEditor

Ace editor component wrap for Blazor

## Get started

Register component deps at startup

``` C#
builder.Services.UseAceEditor();
```

Razor page

``` html
<AceEditor @ref="editor" class="border" OnChanged="UpdateContent" OnLoad="Load"></AceEditor>
<div>@((MarkupString)_content)</div>
```

Code

``` csharp
private AceEditor editor;

private string _content = "";

private async Task UpdateContent()
{
    var _content = await editor.GetValue();
}

private async Task Load()
{
    await editor.SetValue("<h1>Title</h1>");
    await editor.SetInfinityLines();
    await editor.SetMinLines(10);
    await editor.SetFontSize(20);
    await editor.SetLang("html");
    await editor.ClearSelection();
}
```